Bug 1565017 - AggregateImagePropertiesIsolation configuration doesn't work for windows instance
Summary: AggregateImagePropertiesIsolation configuration doesn't work for windows inst...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Martin Schuppert
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 07:11 UTC by KOSAL RAJ I
Modified: 2021-06-10 15:43 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 07:09:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3413171 0 None None None 2018-04-16 10:13:28 UTC

Description KOSAL RAJ I 2018-04-09 07:11:01 UTC
Description of problem:
AggregateImagePropertiesIsolation configuration doesn't work for windows instance

Version-Release number of selected component (if applicable):
RHOSP 11

How reproducible:

# grep -i imageprop /etc/nova/nova.conf
default_filters=AggregateInstanceExtraSpecsFilter,RetryFilter,AvailabilityZoneFilter,RamFilter,ComputeFilter,ComputeCapabilitiesFilter,ImagePropertiesFilter,ServerGroupAntiAffinityFilter,ServerGroupAffinityFilter,AggregateCoreFilter,AggregateImagePropertiesIsolation,DifferentHostFilter,SameHostFilter
enabled_filters=AggregateInstanceExtraSpecsFilter,RetryFilter,AvailabilityZoneFilter,RamFilter,ComputeFilter,ComputeCapabilitiesFilter,ImagePropertiesFilter,ServerGroupAntiAffinityFilter,ServerGroupAffinityFilter,AggregateCoreFilter,AggregateImagePropertiesIsolation,DifferentHostFilter,SameHostFilter

# grep -i image_prop /etc/nova/nova.conf
aggregate_image_properties_isolation_namespace = licencereq
aggregate_image_properties_isolation_separator = .

# rpm -qa | grep nova
openstack-nova-conductor-15.0.8-5.el7ost.noarch
python-novaclient-7.1.2-1.el7ost.noarch
openstack-nova-api-15.0.8-5.el7ost.noarch
python-nova-15.0.8-5.el7ost.noarch
openstack-nova-novncproxy-15.0.8-5.el7ost.noarch
openstack-nova-common-15.0.8-5.el7ost.noarch
openstack-nova-console-15.0.8-5.el7ost.noarch
openstack-nova-scheduler-15.0.8-5.el7ost.noarch
openstack-nova-placement-api-15.0.8-5.el7ost.noarch

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 melanie witt 2018-04-12 20:13:15 UTC
Beginning in Mitaka (RHOSP 9), custom (free-form) image properties are no longer allowed with use of the image properties related scheduler filters. Instead, users must choose from the available supported set of image properties [0].

In your example, I think you would want to use the following image property [1]:

  licencereq.os_type='windows'

Please let me know if that works for you.

[0] https://git.openstack.org/cgit/openstack/nova/tree/nova/objects/image_meta.py?h=15.0.8#n220
[1] https://git.openstack.org/cgit/openstack/nova/tree/nova/objects/fields.py?h=15.0.8#n431

Comment 8 Martin Schuppert 2018-04-20 07:09:43 UTC
Closing this BZ with having documented the situation in https://access.redhat.com/solutions/3413171


Note You need to log in before you can comment on or make changes to this bug.